org.jboss.resteasy.plugins.server.servlet

## Class HttpServlet30Dispatcher

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher
      - - org.jboss.resteasy.plugins.server.servlet.HttpServlet30Dispatcher

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, HttpRequestFactory, HttpResponseFactory

      @WebServlet(asyncSupported=true)
      public class HttpServlet30Dispatcher
      extends HttpServletDispatcher

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher

      `servletContainerDispatcher`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpServlet30Dispatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected HttpRequest` | `createHttpRequest(String httpMethod, javax.servlet.http.HttpServletRequest httpServletRequest, ResteasyHttpHeaders httpHeaders, ResteasyUriInfo uriInfo, HttpResponse httpResponse, javax.servlet.http.HttpServletResponse httpServletResponse)`
    `protected HttpResponse` | `createServletResponse(javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher

      `createResteasyHttpRequest, createResteasyHttpResponse, destroy, getDispatcher, init, service, service`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpServlet30Dispatcher

          public HttpServlet30Dispatcher()

  - ### Method Detail

    - #### createHttpRequest

          protected HttpRequest createHttpRequest(String httpMethod,
                                      javax.servlet.http.HttpServletRequest httpServletRequest,
                                      ResteasyHttpHeaders httpHeaders,
                                      ResteasyUriInfo uriInfo,
                                      HttpResponse httpResponse,
                                      javax.servlet.http.HttpServletResponse httpServletResponse)

      Overrides:
        `createHttpRequest` in class `HttpServletDispatcher`

    - #### createServletResponse

          protected HttpResponse createServletResponse(javax.servlet.http.HttpServletResponse response)

      Overrides:
        `createServletResponse` in class `HttpServletDispatcher`

Copyright © 2014. All Rights Reserved.